Name:           apachetop
Version:        0.12.6
Release:        12%{?dist}
Summary:        A top-like display of Apache logs

Group:          Applications/Internet
License:        BSD
URL:            http://www.webta.org/projects/apachetop
Source0:        http://www.webta.org/apachetop/apachetop-%{version}.tar.gz
Patch:          apachetop-0.12.6-maxpathlen.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  ncurses-devel, m4, readline-devel, autoconf, automake

%description
ApacheTop watches a logfile generated by Apache (in standard common or
combined logformat, although it doesn't (yet) make use of any of the extra
fields in combined) and generates human-parsable output in realtime.


%prep
%setup -q
%patch -p1 -b .maxpathlen
autoheader


%build
autoreconf -vif #BZ925005 - support aarch64 
%configure --with-logfile=%{_localstatedir}/log/httpd/access_log
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT


%files 
%defattr(-,root,root,-)
%doc AUTHORS LICENSE ChangeLog README TODO
%{_bindir}/*
%{_mandir}/man[^3]/*


%changelog
* Sat Apr 27 2013 Adam Miller <maxamillion@fedoraproject.org> - 0.12.6-12
- Fix BZ 925005 - rerun autoconf to add support for aarch64

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.6-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.6-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Thu Jan 12 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Feb 07 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.6-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.12.6-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Sat Jun 21 2008 Robert Scheck <robert@fedoraproject.org> 0.12.6-5
- Fixed a buffer overflow by wrong MAXPATHLEN define (#446199)

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.12.6-4
- Autorebuild for GCC 4.3

* Sat Aug 25 2007 Aurelien Bompard <abompard@fedoraproject.org> 0.12.6-3
- rebuild for BuildID

* Wed Aug 30 2006 Aurelien Bompard <abompard@fedoraproject.org> 0.12.6-2
- rebuild

* Fri Jun 16 2006 Aurelien Bompard <gauret[AT]free.fr> 0.12.6-1
- Upgrade to 0.12.6 (#194602). Thanks to Robert Scheck.

* Sat Mar 11 2006 Aurelien Bompard <gauret[AT]free.fr> 0.12.5-4
- remove hardcoded requirement on httpd (#184491)

* Tue Feb 21 2006 Aurelien Bompard <gauret[AT]free.fr> 0.12.5-3
- rebuilt for FC5

* Tue Oct 04 2005 Aurelien Bompard <gauret[AT]free.fr> 0.12.5-2
- add patch for CAN-2005-2660

* Sun May 08 2005 Aurelien Bompard <gauret[AT]free.fr> 0.12.5-1%{?dist}
- version 0.12.5
- drop patch (applied upsteam)

* Thu Nov 11 2004 Michael Schwendt <mschwendt[AT]users.sf.net> 0.12-2
- Fix build for FC3/GCC 3.4.

* Sat May 22 2004 Aurelien Bompard <gauret[AT]free.fr> 0:0.12-0.fdr.1
- Initial RPM release.
